org.apache.lucene.codecs.asserting

## Class AssertingDocValuesFormat

- java.lang.Object
- - org.apache.lucene.codecs.DocValuesFormat
  - - org.apache.lucene.codecs.asserting.AssertingDocValuesFormat

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public class AssertingDocValuesFormat
    extends DocValuesFormat

Just like `Lucene42DocValuesFormat` but with additional asserts.

### Constructor Summary

Constructors
Constructor and Description
`AssertingDocValuesFormat()`

### Method Summary

Methods
`DocValuesConsumer` `fieldsConsumer(SegmentWriteState state)`
`DocValuesProducer` `fieldsProducer(SegmentReadState state)`

### Methods inherited from class org.apache.lucene.codecs.DocValuesFormat

`availableDocValuesFormats, forName, getName, reloadDocValuesFormats, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AssertingDocValuesFormat

    public AssertingDocValuesFormat()

### Method Detail

#### fieldsConsumer

    public DocValuesConsumer fieldsConsumer(SegmentWriteState state)
                                     throws IOException

Specified by:
  `fieldsConsumer` in class `DocValuesFormat`
Throws:
  `IOException`

#### fieldsProducer

    public DocValuesProducer fieldsProducer(SegmentReadState state)
                                     throws IOException

Specified by:
  `fieldsProducer` in class `DocValuesFormat`
Throws:
  `IOException`